Signal a build failure for kernel_tests

Always write exit code to /proc/exitcode so that the builder can
fail a build if any of the tests fail by reading this return value
which will be the return from the build script.

BUG=23016816
TEST=Ran locally and check output of "echo $?" is not 0 when a test fails

Change-Id: I5f38c7c844a17773a9459746c3b8704b9b4bd7fd
diff --git a/net/test/net_test.sh b/net/test/net_test.sh
index cdfcc32..abd0f76 100755
--- a/net/test/net_test.sh
+++ b/net/test/net_test.sh
@@ -21,3 +21,7 @@
 
 echo -e "Running $net_test\n"
 $net_test
+
+# Write exit code of net_test to /proc/exitcode so that the builder can use it
+# to signal failure if any tests fail.
+echo $? >/proc/exitcode